package v2;

import v1.CommandeBidon;
import v1.ICommande;

public class Undo extends CommandeBidon {
	ICommande aDefaire;

	
	
	public Undo(ICommande aDefaire) {
		//la commande à défaire, fixée par le lanceur
		this.aDefaire = aDefaire; }

	@Override
	public void execute() {
		//volumeDeplace?
		aDefaire.undo();
	}

	@Override
	public void undo() {
		// volumeDeplace ?
		aDefaire.execute();
	}
	
	public String operandesToString() {
		return aDefaire.toString();
	}
	
	public String operandesToStringContent() {
		return aDefaire.toStringContent();
	}
	
}
