package v1;

/**
 * @author ahmad
 * @modified cd
 */

public abstract class CommandeBidon implements ICommande {
	
	//volume deplacé par une commande
	protected int volumeDeplace;
	
	public String toString() {
		return "" + this.getClass().getName() + "(" 
				  + this.operandesToString()
				  + ")" ; }
	
	public String toStringContent() {
		return "" + this.getClass().getName() + "(" 
				  + this.operandesToStringContent() 
				  + ")"; }
	
	public abstract String operandesToString();
	public abstract String operandesToStringContent();
	
	public void execute() {
		//au cas où par défaut
	}
}
