package v1;

import java.util.Collection;

//le client, incluant le joueur, est représenté par le main.

public class Partie1 extends BasePartie{
	
	protected Lanceur l;      //lanceur de commandes
	//une partie passe les commandes au lanceur pour exécution
	//Le lanceur peut être choisi dans le constructeur

	public Partie1(int nbBidons, int[] capacites, int but) {
		super(nbBidons, capacites, but); 
		l = new Lanceur(this);}
	
	public Collection jouer() {
		//ici la création de la commande est concomittante à son invocation
		//(on crée la commande puis on la passe au lanceur
		//ce n'est pas forcément toujours le cas.
		//Il peut y avoir plein de variantes, par exemple on crée les commandes une fois
		//et on les passe ensuite au lanceur quand besoin.
		//optimisation à faire de cet exercice, si on doit remplir
		//3 fois le bidon b3, est-il utile de créer 3 instances de RemplirBidon ...
		
		//comment générer automatiquement autant de variables qu'il y a de bidons
		//équivalent java de gensym
		
		Bidon b1 = bidons.get(0);
		Bidon b2 = bidons.get(1);
		Bidon b3 = bidons.get(2);
		
		Lanceur.trace();
		this.printEtats();
		
		l.pushCommand(new Remplir(b2));
		l.pushCommand(new Transvaser(b2,b1)); //100
		l.pushCommand(new Remplir(b2));
		l.pushCommand(new Transvaser(b2,b1)); //200 c'est trop
		l.undo();                        
		l.undo();
		l.pushCommand(new Remplir(b3));
		l.pushCommand(new Transvaser(b3,b1));
		
		if (this.gagné())
			System.out.println("Gagné avec la solution : " + l.getHistory());
		else System.out.println("Perdu, mauvaise solution : " + l.getHistory());
		
		//l.raz();
		return(l.getHistory());
		
		//undo toutes les commandes déjà jouées
		
	}
}
