package v1;

/**
 * 
 * @author Ahmad BEDJA BOANA
 */
public class Remplir extends CommandeBidon {
	//ConcreteCommand

	protected Bidon b; // dans la description du pattern : le receveur
	
	public Remplir(Bidon b){ this.b = b; }
	
	@Override
	public void execute() {
		super.execute();
		//pour préparer un éventuel undo
		volumeDeplace = b.getVolumeMax() - b.getVolume();
		//exécution de la commande proprement dite
		b.remplir(); 	}

	@Override
	public void undo() {
		//undo pourrait-il être une commande ? on pourrait alors défaire ("undo") un undo?
		
		b.setVolume(b.getVolume() - volumeDeplace); 	}
	
	public String operandesToString() {
		return b.toString(); 	}
	
	public String operandesToStringContent() {
		return b.toStringContent(); 	}

}
