package v1;

/**
 * @author ahmad
 */

public class Transvaser extends CommandeBidon {

	protected Bidon source , destination;
	
	public Transvaser(Bidon src,Bidon dst) {
		source = src;
		destination = dst;
	}

	public String operandesToString() {
		return "" + source + "," + destination;
	}
	
	public String operandesToStringContent() {
		return source.toStringContent() + "," + 
			   destination.toStringContent();
	}
	
	@Override
	public void execute() {
		super.execute();
		volumeDeplace = 
				source.transvaser(destination);
	}

	@Override
	public void undo() {
		source.setVolume(
				source.getVolume() + volumeDeplace);
		destination.setVolume(
				destination.getVolume() - volumeDeplace);
	}

}
